# Uses of Enum
com.google.cloud.spanner.jdbc.TransactionRetryListener.RetryResult

Packages that use TransactionRetryListener.RetryResult
Package
Description
com.google.cloud.spanner.jdbc
A JDBC driver for Cloud Spanner - A no-compromise relational database service.

## Uses of TransactionRetryListener.RetryResult in com.google.cloud.spanner.jdbc

Methods in com.google.cloud.spanner.jdbc that return TransactionRetryListener.RetryResult
Modifier and Type
Method
Description
`static TransactionRetryListener.RetryResult`
TransactionRetryListener.RetryResult.`valueOf(String name)`
Deprecated.
Returns the enum constant of this type with the specified name.
`static TransactionRetryListener.RetryResult[]`
TransactionRetryListener.RetryResult.`values()`
Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.google.cloud.spanner.jdbc with parameters of type TransactionRetryListener.RetryResult
Modifier and Type
Method
Description
`void`
TransactionRetryListener.`retryFinished(com.google.cloud.Timestamp transactionStarted, long transactionId, int retryAttempt, TransactionRetryListener.RetryResult result)`
Deprecated.
This method is called when a retry has finished.